Subject: Re: [PATCH] modify/delete conflict resolution overwrites untracked file

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Dec 2008 00:13:10 -0800

Clemens Buchacher <[email-masked]> writes:

> On Wed, Dec 10, 2008 at 03:36:11PM -0800, Junio C Hamano wrote:
>> Clemens Buchacher <[email-masked]> writes:
>> >
>> > "merge -s resolve" fails with
>> >
>> > Trying really trivial in-index merge...
>> > error: Merge requires file-level merging
>> > Nope.
>> > Trying simple merge.
>> > Simple merge failed, trying Automatic merge.
>> > ERROR: c1.c: Not handling case ae9304576a6ec3419b231b2b9c8e33a06f97f9fb ->
>> > -> 8173b675dc61bb578b411c769c9fb654625a7c4e
>> > fatal: merge program failed
>> > Automatic merge failed; fix conflicts and then commit the result.
>> >
>> > and therefore passes the test.
>> 
>> Are you saying that:
>> 
>>  (1) the step should result in conflict and the merge should fail, but it
>>      should not clobber c1.c nevertheless; and
>> 
>>  (2) resolve fails to merge (as expected), and it does not clobber c1.c
>>      (as expected); therefore it passes the test.
>
> The latter.

I said "and" at the end of (1) so I do not understand your answer, but I
take it to mean that both (1) and (2) are true, judging from the rest of
your message.

>> If so, then you now established that it is a bug in merge-recursive,
>> right [implementors of recursive-in-C CC'ed]?
>
> Correct.
>
>> Or are you saying that the step should not fail to begin with?
>
> No...

Ok, thanks.  Unfortunately my git day for this week is over, so I'll try
to find time to take a look at what recursive strategy does wrong over the
weekend, if nobody gets to it before me.